Skip to main content
GET
/
syncs
Get syncs
curl --request GET \
  --url https://api.chift.eu/syncs \
  --header 'Authorization: Bearer <token>'
[
  {
    "name": "<string>",
    "connections": [
      {
        "one_api": 123,
        "connection_type": 123,
        "display_order": 0,
        "display_hidden": false
      }
    ],
    "syncid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "consumers": [
      "<string>"
    ],
    "flows": [
      {
        "name": "<string>",
        "id": "<string>",
        "description": "<string>",
        "execution": {
          "data": {
            "name": "<string>"
          }
        },
        "config": {
          "datastores": []
        },
        "triggers": [
          {
            "id": "<string>",
            "cronschedules": [
              "<string>"
            ],
            "visible": true,
            "definitionFields": [
              {}
            ],
            "options": {},
            "priority": "NORMAL"
          }
        ]
      }
    ],
    "config": {},
    "mappings": []
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.chift.eu/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This access token needs to be included in each of your request to the Chift API.

Response

200 - application/json

Successful Response

name
string
required
Minimum string length: 1
connections
SyncsConnectionItem · object[]
required
syncid
string<uuid>
required
consumers
string[]
required
flows
ReadFlowItem · object[]
required
config
Config · object
mappings
CreateSyncMappingItem · object[]